beamToXyzAdv {oce} | R Documentation

## Convert ADV from beam coordinates to xyz coordinates

### Description

Convert ADV velocity components from a beam-based coordinate system to a xyz-based coordinate system.

### Usage

    beamToXyzAdv(x, debug=getOption("oceDebug"))

### Arguments

`x` | an object of class `"adv"`.
`debug` | a flag that, if non-zero, turns on debugging. Higher values yield more extensive debugging.

### Details

The coordinate transformation is done using the transformation matrix contained in `x@metadata$transformation.matrix`, which is normally inferred from the header in the binary file. If there is no such matrix (e.g. if the data were streamed through a data logger that did not capture the header), `beamToXyzAdv` the user will need to store one in `x`, e.g. by doing something like the following: `x@metadata$transformation.matrix <- rbind(c(11100, -5771, -5321), c( 291, 9716, -10002), c( 1409, 1409, 1409)) / 4096` .

### Author(s)

Dan Kelley

### References

http://www.nortek-as.com/lib/forum-attachments/coordinate-transformation

### See Also

See `read.adv` for notes on functions relating to `"adv"` objects.

[Package oce version 0.9-18 Index]